Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0716-1: moderate: libxml2, python-libxml2: Prevent external entities from being loaded
openSUSE Security Update: libxml2, python-libxml2: Prevent external entities
from being loaded
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0716-1
Rating: moderate
References: #876652
Cross-References: CVE-2014-0191
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

Updated fix for openSUSE-SU-2014:0645-1 because of a regression that
caused xmllint to break.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-394

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-394

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libxml2-2-2.9.1-2.8.1
libxml2-2-debuginfo-2.9.1-2.8.1
libxml2-debugsource-2.9.1-2.8.1
libxml2-devel-2.9.1-2.8.1
libxml2-tools-2.9.1-2.8.1
libxml2-tools-debuginfo-2.9.1-2.8.1
python-libxml2-2.9.1-2.8.1
python-libxml2-debuginfo-2.9.1-2.8.1
python-libxml2-debugsource-2.9.1-2.8.1

- openSUSE 13.1 (x86_64):

libxml2-2-32bit-2.9.1-2.8.1
libxml2-2-debuginfo-32bit-2.9.1-2.8.1
libxml2-devel-32bit-2.9.1-2.8.1

- openSUSE 13.1 (noarch):

libxml2-doc-2.9.1-2.8.1

- openSUSE 12.3 (i586 x86_64):

libxml2-2-2.9.0-2.25.1
libxml2-2-debuginfo-2.9.0-2.25.1
libxml2-debugsource-2.9.0-2.25.1
libxml2-devel-2.9.0-2.25.1
libxml2-tools-2.9.0-2.25.1
libxml2-tools-debuginfo-2.9.0-2.25.1
python-libxml2-2.9.0-2.25.1
python-libxml2-debuginfo-2.9.0-2.25.1
python-libxml2-debugsource-2.9.0-2.25.1

- openSUSE 12.3 (x86_64):

libxml2-2-32bit-2.9.0-2.25.1
libxml2-2-debuginfo-32bit-2.9.0-2.25.1
libxml2-devel-32bit-2.9.0-2.25.1

- openSUSE 12.3 (noarch):

libxml2-doc-2.9.0-2.25.1


References:

http://support.novell.com/security/cve/CVE-2014-0191.html
https://bugzilla.novell.com/876652


< Previous Next >
This Thread
  • No further messages